
From: maximilian attems <janitor@sternwelten.at>

Fix w6692 section references:
	added __init to W6692Version().

Error: ./drivers/isdn/hisax/w6692.o .text refers to 0000002f R_386_32
.init.data

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/w6692.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/isdn/hisax/w6692.c~w6692-eliminate-bad-section-references drivers/isdn/hisax/w6692.c
--- 25/drivers/isdn/hisax/w6692.c~w6692-eliminate-bad-section-references	2005-03-16 13:34:17.000000000 -0800
+++ 25-akpm/drivers/isdn/hisax/w6692.c	2005-03-16 13:34:17.000000000 -0800
@@ -49,7 +49,7 @@ static char *W6692Ver[] __initdata =
 {"W6692 V00", "W6692 V01", "W6692 V10",
  "W6692 V11"};
 
-static void
+static void __init
 W6692Version(struct IsdnCardState *cs, char *s)
 {
 	int val;
_
